Skip to main content
GET
/
v1
/
voiceai
/
agents
/
{agent_id}
/
widget
Get Agent Widget Config
curl --request GET \
  --url https://api.example.com/v1/voiceai/agents/{agent_id}/widget
{
  "agent_id": "<string>",
  "widget_config": {
    "variant": "full",
    "placement": "bottom-right",
    "expandable": "never",
    "default_expanded": false,
    "always_expanded": false,
    "show_avatar_when_collapsed": false,
    "avatar": {
      "type": "orb",
      "color_1": "#2792dc",
      "color_2": "#9ce6e6"
    },
    "custom_avatar_path": "<string>",
    "feedback_mode": "none",
    "end_feedback": {
      "type": "rating"
    },
    "mic_muting_enabled": false,
    "transcript_enabled": false,
    "text_input_enabled": true,
    "conversation_mode_toggle_enabled": false,
    "language_selector": false,
    "supports_text_only": true,
    "shareable_page_text": "<string>",
    "shareable_page_show_terms": true,
    "terms_text": "<string>",
    "terms_html": "<string>",
    "terms_key": "<string>",
    "markdown_link_allowed_hosts": [
      {
        "hostname": "<string>"
      }
    ],
    "markdown_link_include_www": true,
    "markdown_link_allow_http": true,
    "disable_banner": false,
    "override_link": "<string>",
    "text_contents": {
      "main_label": "<string>",
      "start_call": "<string>",
      "start_chat": "<string>",
      "new_call": "<string>",
      "end_call": "<string>",
      "mute_microphone": "<string>",
      "change_language": "<string>",
      "collapse": "<string>",
      "expand": "<string>",
      "copied": "<string>",
      "accept_terms": "<string>",
      "dismiss_terms": "<string>",
      "listening_status": "<string>",
      "speaking_status": "<string>",
      "connecting_status": "<string>",
      "chatting_status": "<string>",
      "input_label": "<string>",
      "input_placeholder": "<string>",
      "input_placeholder_text_only": "<string>",
      "input_placeholder_new_conversation": "<string>",
      "user_ended_conversation": "<string>",
      "agent_ended_conversation": "<string>",
      "conversation_id": "<string>",
      "error_occurred": "<string>",
      "copy_id": "<string>",
      "initiate_feedback": "<string>",
      "request_follow_up_feedback": "<string>",
      "thanks_for_feedback": "<string>",
      "thanks_for_feedback_details": "<string>",
      "follow_up_feedback_placeholder": "<string>",
      "submit": "<string>",
      "go_back": "<string>"
    },
    "styles": {
      "base": "<string>",
      "base_hover": "<string>",
      "base_active": "<string>",
      "base_border": "<string>",
      "base_subtle": "<string>",
      "base_primary": "<string>",
      "base_error": "<string>",
      "accent": "<string>",
      "accent_hover": "<string>",
      "accent_active": "<string>",
      "accent_border": "<string>",
      "accent_subtle": "<string>",
      "accent_primary": "<string>",
      "overlay_padding": 123,
      "button_radius": 123,
      "input_radius": 123,
      "bubble_radius": 123,
      "sheet_radius": 123,
      "compact_sheet_radius": 123,
      "dropdown_sheet_radius": 123
    },
    "language_presets": {},
    "language": "en",
    "supported_language_overrides": [
      "<string>"
    ],
    "text_only": false,
    "first_message": "<string>",
    "use_rtc": true
  }
}

Path Parameters

agent_id
string
required

The id of an agent. This is returned on agent creation.

Example:

"agent_3701k3ttaq12ewp8b7qv5rfyszkz"

Query Parameters

conversation_signature
string | null

An expiring token that enables a conversation to start. Reserved for future use.

Response

Successful Response

agent_id
string
required

The ID of the agent

widget_config
WidgetConfigResponseModel · object
required

The widget configuration for the agent